Arma 3 Feedback Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004143Arma 3Multiplayerpublic2013-03-11 21:552013-03-22 15:50
ReporterBumgie 
Assigned ToAstaroth 
PriorityurgentSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformPCOSWindows 7OS Version64 bit
Product Version 
Target VersionFixed in Version 
146 vote(s) 100,00%
0 vote(s) 0,00%
Summary0004143: Latest developper version and JIp player turns everyone to seagulls!
DescriptionWhen a player with latest Developper version from steam joins the server as an JIP player. He first is not able to see any playable slots on the lobby.

Second he must press enter to start loading the mission. While the JIP player is loading mission, everyone else turns into a seagull.
Steps To Reproduce1. Start server
2. Let players join
3. start mission
4. Have a player with the latest developper version join in
5. Have him press enter so that he starts loading mission.
6. Everyone on the server turns to seagull
Tagsannoying, funny, Gamebreaking
Game Version
Attached Files

- Relationships
has duplicate 0004346closed Player joining with the development build causes whole sever to turn in to seagulls 
has duplicate 0004140closed Hacks have arrived. 
has duplicate 0004119closed Hackers transforming everyone on the server into seagulls 
has duplicate 0004171closed played the game 5 mins on a server and hacked 
has duplicate 0004245closed get turned into seagull 
has duplicate 0004159closedAstaroth Hacking/Scripting is out of control 
has duplicate 0004152closed Broken MP-join interface in 0.5.102980 
related to 0004110closed No Lobby UI when Joining Multiplayer Games 

-  Notes
(0007868)
H4MM3RSTON3 (reporter)
2013-03-11 22:16
edited on: 2013-03-11 22:26

Yes. I used the developer build of the game and have recently been the cause of this seagull bug on the servers I've joined. I tried changed back to normal and I were able to join games as usual.

(0007871)
SmallBlackSheep (reporter)
2013-03-11 22:17

nice find. i had people thinking it was hackers who turned them into seagulls
(0007878)
Bumgie (reporter)
2013-03-11 22:21

There is an sollution.

Server host must use the latest dev version and force players to use it also.
requiredBuild=xxxxx; is the command to use in server config.
https://community.bistudio.com/wiki/server.cfg [^]

Then player must also connect using the latest version.
(0007953)
SGTIce (reporter)
2013-03-11 23:09

This sounds pretty entertaining, got a video?
(0007954)
Dinger (reporter)
2013-03-11 23:10

Yeah

As soon as i changed back from developer build it worked fine till someone tried to join every 5 minutes or so and turned us all to seagulls
(0007958)
banshee (reporter)
2013-03-11 23:11

I can confirm this, as posted in the Arma3 server chat and the BIF.
Alltough I can't confirm requiredBuild as a fix since that won't work for us.
(0007961)
DG_Spanky (reporter)
2013-03-11 23:12

@SGTIce it's not very entertaining, as nearly every server is suffering from this making multiplayer just about entirely broken.
(0007974)
Bumgie (reporter)
2013-03-11 23:20
edited on: 2013-03-11 23:21

requiredBuild=102980; works also. This is the best method.

(0007975)
crashtheface (reporter)
2013-03-11 23:21

no verifysignatures=2 only applies to mods.

you must use requiredbuild=*working build number*
(0007994)
Reisdal (reporter)
2013-03-11 23:44

Well one way of solving this is using the same build as any other when playing MP. It just makes sence... Not all are using devbuild and not all servers are devbuild. You wouldn't be able to play if you had v1.25 and the server had v1.1, now would you?
(0008056)
Bumgie (reporter)
2013-03-12 00:32

Among arma games its very uncommong that beta patches dont work backwards
(0008068)
Aliendistrict51 (reporter)
2013-03-12 00:38

can someone please make a video on how to fix this problem that I am having! Go to multiplayer and pick a server and then the next page where you pick your class is all blank and can't play multiplayer! I can't play multiplayer at all and can't find a solution and the solution above is to complicated to follow instructions and so it would be easier to be shown in a video how to fix this problem! Thank you!
(0008086)
esas (reporter)
2013-03-12 00:59

Aliendistrict51, not everything needs a video. This is a simple problem caused by the server and client not running the same version. Play on servers with the current version. Every time you try play on a server with the old version, the thing you describes happen, plus everyone on the server turns into seagulls (birds).
(0008259)
Cuban (reporter)
2013-03-12 08:53

You just need to make sure your build matches whatever the server is running.
(0008266)
76 (reporter)
2013-03-12 08:59
edited on: 2013-03-12 09:00

quote: Bumgie: "Among arma games its very uncommong that beta patches dont work backwards "



Congrats BI forcing everyone through steam...

(0008274)
ppilihp (reporter)
2013-03-12 09:11

Maybe I am to stupid, but is there anything I can do as a Steam user to change the version of Arma 3 I am running? Thx for your advice
(0008277)
ZA Sgt.Hammer (reporter)
2013-03-12 09:12

so best workround is o update the Server to Devbuild and to force everyone connect to the server with a dev build?
(0008317)
Wallace15nd (reporter)
2013-03-12 10:32

@76

Nobody is being forced to do anything...You can choose which one you want by right clicking on Arma 3 and and going to properties and to beta patches.
(0008341)
tOBdavian (reporter)
2013-03-12 11:35

@76. You really should spent more time focusing on your current customer base instead of coming in here to troll. We all know Origin pales in comparison.
(0008458)
Bumgie (reporter)
2013-03-12 13:53
edited on: 2013-03-12 13:55

And for future reference. The correct wording is requiredBuild="102980";

And this was tested. IT will not work today as the patch was rolled back.

Sorry for the confusion.

And crashtheface. "no verifysignatures=2 only applies to mods." is not true. This caused players who had the previous version to get a lot of arma3 pbo related errors and be kicked from the server.

(0008484)
Bumgie (reporter)
2013-03-12 14:29

Astaroth:

There are still players playing mp using the now removed version called 102980.

This is presumably due to steams offline mode not updating it or something else.

Meanwhile servers are unable to use the requiredBuild="102980"; command to unallow any players from joining because servers have autoupdated to the previous dev version.

What you have effectively done is made all efforts to circumvent this seagull error impossible.

Please fix it quicly.
(0008663)
SGTIce (reporter)
2013-03-12 18:29

They're aware of it boys and girl, have been for a bit.
(0008911)
rogerx (reporter)
2013-03-13 02:17

"Meanwhile servers are unable to use the requiredBuild='102980'"

Why would you want to prevent people from testing newer builds???
(0008942)
Wallace15nd (reporter)
2013-03-13 05:10

Because some people crash when running the dev build. The whole point of the dev build update is to crash test the build before it goes live. It's *supposed* to be unstable.
(0009172)
rogerx (reporter)
2013-03-13 14:16

Well figure this then, if every server (or a majority of servers) restrict to only stable, no clients can be stress tested easily. Hence, the final product will then be subject to (more) bugs not found.

If the bug only crashes the client running the developer build, I see no reason why to restrict them from joining a server.

The rule you presented is not justified. Or, sort of like saying; "I'll spend your money for you, because I'm afraid you might not spend it correctly!" ;-)

A better rule would be, if a client version ever does crash a server, then use a rule to specifically rule-out allowing that specific version. But until then, I would wait until evidence is seen.

Another scenario, I'd love to toss all the stupid people in jail, but some won't let this happen. :-/
(0014246)
Astaroth (manager)
2013-03-22 15:50

Fixed in last version.

- Issue History
Date Modified Username Field Change
2013-03-11 21:55 Bumgie New Issue
2013-03-11 22:00 Bumgie Note Added: 0007843
2013-03-11 22:06 Bumgie Note Deleted: 0007843
2013-03-11 22:16 H4MM3RSTON3 Note Added: 0007868
2013-03-11 22:17 SmallBlackSheep Note Added: 0007871
2013-03-11 22:21 Bumgie Note Added: 0007878
2013-03-11 22:26 H4MM3RSTON3 Note Edited: 0007868 View Revisions
2013-03-11 23:09 SGTIce Note Added: 0007953
2013-03-11 23:10 Dinger Note Added: 0007954
2013-03-11 23:11 banshee Note Added: 0007958
2013-03-11 23:12 DG_Spanky Note Added: 0007961
2013-03-11 23:16 Bumgie Note Added: 0007967
2013-03-11 23:16 Bumgie Note Edited: 0007967 View Revisions
2013-03-11 23:20 Bumgie Note Added: 0007974
2013-03-11 23:21 Bumgie Note Edited: 0007974 View Revisions
2013-03-11 23:21 Bumgie Note Deleted: 0007967
2013-03-11 23:21 crashtheface Note Added: 0007975
2013-03-11 23:44 Reisdal Note Added: 0007994
2013-03-12 00:32 Bumgie Note Added: 0008056
2013-03-12 00:38 Aliendistrict51 Note Added: 0008068
2013-03-12 00:59 esas Note Added: 0008086
2013-03-12 03:31 Bobylein Tag Attached: funny
2013-03-12 03:31 Bobylein Tag Attached: annoying
2013-03-12 03:31 Bobylein Tag Attached: Gamebreaking
2013-03-12 08:53 Cuban Note Added: 0008259
2013-03-12 08:59 76 Note Added: 0008266
2013-03-12 09:00 76 Note Edited: 0008266 View Revisions
2013-03-12 09:00 76 Note Edited: 0008266 View Revisions
2013-03-12 09:11 ppilihp Note Added: 0008274
2013-03-12 09:12 ZA Sgt.Hammer Note Added: 0008277
2013-03-12 10:32 Wallace15nd Note Added: 0008317
2013-03-12 10:51 Astaroth Assigned To => Astaroth
2013-03-12 10:51 Astaroth Status new => assigned
2013-03-12 11:35 tOBdavian Note Added: 0008341
2013-03-12 13:53 Bumgie Note Added: 0008458
2013-03-12 13:53 Bumgie Note Edited: 0008458 View Revisions
2013-03-12 13:55 Bumgie Note Edited: 0008458 View Revisions
2013-03-12 14:29 Bumgie Note Added: 0008484
2013-03-12 18:00 DarkDruid Relationship added has duplicate 0004346
2013-03-12 18:01 DarkDruid Relationship added has duplicate 0004140
2013-03-12 18:03 DarkDruid Relationship added has duplicate 0004119
2013-03-12 18:03 DarkDruid Relationship added has duplicate 0004171
2013-03-12 18:03 DarkDruid Relationship added has duplicate 0004245
2013-03-12 18:29 SGTIce Note Added: 0008663
2013-03-13 02:17 rogerx Note Added: 0008911
2013-03-13 05:10 Wallace15nd Note Added: 0008942
2013-03-13 14:16 rogerx Note Added: 0009172
2013-03-13 17:35 Astaroth Relationship added has duplicate 0004159
2013-03-14 15:47 MadDogX Relationship added has duplicate 0004152
2013-03-15 09:11 MadDogX Relationship added related to 0004110
2013-03-22 15:50 Astaroth Note Added: 0014246
2013-03-22 15:50 Astaroth Status assigned => closed
2013-03-22 15:50 Astaroth Resolution open => fixed


Copyright © 2000 - 2014 MantisBT Team